aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-bitbake-sdk-x64only.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-07-13 15:03:49 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2020-07-13 15:03:49 +0200
commitc5fc32ecdda340971638dbc4c11f7d8dcc0769ab (patch)
treebe3cc3065cf65bd7253ecb7e8008f0eb03588a7e /jjb/common/include-agl-bitbake-sdk-x64only.sh
parentece0716927c87ad48ee3ff3d43eac56d3e3f7c8d (diff)
Also build the crosssdk image for qemux86-64 on gerrit reviews
Add the crosssdk build to the qemux86-64 variant. Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I614032b9712a80434883fafdd05f368d62b0e31c
Diffstat (limited to 'jjb/common/include-agl-bitbake-sdk-x64only.sh')
-rw-r--r--jjb/common/include-agl-bitbake-sdk-x64only.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/jjb/common/include-agl-bitbake-sdk-x64only.sh b/jjb/common/include-agl-bitbake-sdk-x64only.sh
new file mode 100644
index 00000000..8bc47635
--- /dev/null
+++ b/jjb/common/include-agl-bitbake-sdk-x64only.sh
@@ -0,0 +1,13 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the sdk
+################################################################################
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+if test x"qemux86-64" = x"${TARGETMACHINE}" ; then
+( ( bitbake $TARGETSDKIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake $TARGETSDKIMAGE ) ) || ( echo '## Failed again, bail out ... ##' ; exit 1 )
+
+du -hs tmp/deploy/*
+fi